using System;
using System.Collections;
using System.Text;

namespace BizTalkBill.BizTalkHelpers
{
    public class Map
    {
		public static string GenerateGUID()
		{
			return Guid.NewGuid().ToString();
		}
		
		public static string FormatMoney(string sMoney)
        {
			Decimal dResult = 0;

			try
			{
				dResult = Decimal.Parse(sMoney);
				return dResult.ToString("C");
			}
			catch (Exception ex)
			{
				return dResult.ToString("C");
			}

        }
        //public static string myDateFormater(string sDate, string sFormat)
        //{
        //    return DateTime.Parse(sDate).ToString(sFormat);
        //}
        public static string ExtractBirthMonth(string sDate)
        {
            DateTime dtResult;

			try
			{
				dtResult = DateTime.Parse(sDate);
				return dtResult.ToString("MM");
			}
			catch (Exception ex)
			{
				return "";
			}
        }
        public static string ExtractBirthYear(string sDate)
        {
            DateTime dtResult;
 
			try
			{
				dtResult = DateTime.Parse(sDate);
				return dtResult.ToString("yyyy");
			}
			catch (Exception ex)
			{
				return "";
			}
        }
    }
}
